<?php

namespace Treewec;

/**
 * Test class for OnePage.
 * Generated by PHPUnit on 2012-09-03 at 17:40:27.
 * @group output
 */
class OnePageTest extends \PHPUnit_Framework_TestCase {

    /** @var OnePage */
    private $rootPage;
    /** @var OnePage */
    private $validPath;
    /** @var OnePage */
    private $invalidPath;
    /** @var string */

    protected function setUp() {
        $this->rootPage = new OnePage('');
        $this->validPath = new OnePage('teams/makov');
        $this->invalidPath = new OnePage(new \Exception());
        $this->urlToRoot = URLFactory::getLink('');
    }

    public function testGetLink() {
        parent::assertTrue(is_int(strpos($this->rootPage->getLink(), TREEWEC_MAINPAGE)));
        parent::assertTrue(is_int(strpos($this->validPath->getLink(), 'teams/makov')));
        parent::assertTrue(is_int(strpos($this->invalidPath->getLink(), TREEWEC_MAINPAGE)));
    }

    public function test__toString() {
        parent::assertEquals(TREEWEC_MAINPAGE, $this->rootPage->__toString());
        parent::assertEquals('makov', $this->validPath->__toString());
        parent::assertEquals(TREEWEC_MAINPAGE, $this->invalidPath->__toString());
    }

}

?>
